%These are the bounds for BDM
% lower and upper bounds and starting values

if k==1     % RR EU
    if sn==14 || sn==35 || sn==36 || sn==81 || sn==93 || sn==96
        lb(1)=-10.0;     ub(1)=0.0;  st(1)=-0.5;
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==34
        lb(1)=4.0;     ub(1)=10.0;  st(1)=4.5;
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==37
        lb(1)=10.0;     ub(1)=20.0;  st(1)=10.5;
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==55
            lb(1)=-20.0;     ub(1)=-5.0;  st(1)=-5.5;
            lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    else
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 % r in RR starts with risk-averse
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of RR EU
        
if k==2     % RR RD
    if sn==14 || sn==93 || sn==96
        lb(1)=-10.0;     ub(1)=5.0;  st(1)=0.5;                
        lb(3)=0.3;      ub(3)=5.0;  st(3)=2.5;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==34 || sn==50
        lb(1)=4.0;     ub(1)=10.0;  st(1)=4.5;                
        lb(3)=0.3;      ub(3)=5.0;  st(3)=2.5;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==36
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;               
        lb(3)=0.3;      ub(3)=3.0;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==37
        lb(1)=-1.0;     ub(1)=550.0;  st(1)=0.5;                
        lb(3)=0.3;      ub(3)=50.0;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==55
        lb(1)=-20.0;     ub(1)=5.0;  st(1)=0.5;               
        lb(3)=0.3;      ub(3)=5.0;  st(3)=2.5;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;     
    elseif sn==78
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;               
        lb(3)=0.3;      ub(3)=10.0;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    else
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 % r in RR starts with risk-averse
        lb(3)=0.3;      ub(3)=3.0;  st(3)=1.0;                 % g in RD starts at EU
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of RR RD
                
if k==3     % AR EU
    if sn==55
        lb(2)=-5.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    else
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                % r in AR starts with risk-averse
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of AR EU
                
if k==4    %AR RD
    if sn==1
        lb(2)=-3.0;     ub(2)=3.0;  st(2)=0.01;                
        lb(3)=5.0;      ub(3)=15.0;  st(3)=10.1;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==7
        lb(2)=-3.0;     ub(2)=3.0;  st(2)=0.01;                
        lb(3)=4.3;      ub(3)=4.6;  st(3)=4.31;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==15 || sn==21 || sn==29 || sn==53 || sn==54 || sn==72 || sn==78
        lb(2)=-1.0;     ub(2)=3.0;  st(2)=0.01;                
        lb(3)=0.3;      ub(3)=10.0;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;  
    elseif sn==26 || sn==35 || sn==36 || sn==37 || sn==49 || sn==55 || sn==96
        lb(2)=-1.0;     ub(2)=4.0;  st(2)=0.01;                
        lb(3)=0.3;      ub(3)=5.0;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==64
        lb(2)=-1.0;     ub(2)=3.0;  st(2)=0.01;                
        lb(3)=4.9;      ub(3)=5.1;  st(3)=4.91;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==70
        lb(2)=-1.0;     ub(2)=3.0;  st(2)=0.01;                
        lb(3)=4.0;      ub(3)=6.0;  st(3)=4.1;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==85
        lb(2)=-1.0;     ub(2)=3.0;  st(2)=0.01;                
        lb(3)=10.0;      ub(3)=15.0;  st(3)=10.1;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==86
        lb(2)=-1.0;     ub(2)=3.0;  st(2)=0.01;                
        lb(3)=8.0;      ub(3)=15.0;  st(3)=8.1;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    else
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                % r in AR starts with risk-averse
        lb(3)=0.3;      ub(3)=3.0;  st(3)=1.0;                 % g in RD starts at EU
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
    

end % of AR RD
