function [lls,ll,pl]=ll13(z,d,x,p,y,q)
% This is the log-likelihood function for AR EU
lbll=-10000;
np=size(p,1);
ll=zeros(np,1);
ul=zeros(np,1);
ur=zeros(np,1);
pl=zeros(np,1);
r=z(1);
s=z(2);
for pn=1:1:np
    ul(pn)=p(pn)*cara(x(pn,1),r)+(1-p(pn))*cara(x(pn,2),r);
    ur(pn)=q(pn)*cara(y(pn,1),r)+(1-q(pn))*cara(y(pn,2),r);
    pl(pn)=1-cdf('Normal',s*(ur(pn)-ul(pn)),0,1);           %problem pn, probability of chosing left
    ll(pn)=log((2-d(pn))*pl(pn)+(d(pn)-1)*(1-pl(pn)));
    if ((isnan(ll(pn))) || (ll(pn)==-Inf))
        ll(pn)=lbll;
    end 
end
%because we need to maximize this but fmincon is for minimization so we
%need to minus it
lls=-sum(ll);
end

