function [lls,ll,xo]=ll23(z,xa,p,e1,e2,m)
% This is the log-likelihood function for AR EU for Allocations
lbll=-10000;
np=size(p,1);
ll=zeros(np,1);
xo=zeros(np,1);
r=z(1);
s=z(2);
for pn=1:1:np
    xo(pn)=OptAREU(r,p(pn),e1(pn),e2(pn),m);
    ll(pn)=log(cdf('Normal', s*(xa(pn)+0.5-xo(pn)),0,1)-cdf('Normal', s*(xa(pn)-0.5-xo(pn)),0,1));
    if ((isnan(ll(pn))) || (ll(pn)==-Inf))
        ll(pn)=lbll;
    end 
end
%because we need to maximize this but fmincon is for minimization so we
%need to minus it
lls=-sum(ll);
end

